<template>
    <modal name="payment-details"
           class="arcticmodal-container"
           :clickToClose="false"
           :height="'auto'"
           :adaptive="true"
           @before-close="beforeClose"
           @before-open="beforeOpen">
        <div class="container m-header" style="margin-bottom: 30px;">
            <div class="row">
                <div class="column">
                    <h3>Детализация платежа</h3>
                </div>
            </div>
        </div>

        <div class="service-row">
            <div class="ui-checkbox">
                <ui-checkbox v-model="payDop"></ui-checkbox>
                <p>
                    Дополнительное соглашение {{POS.orderNumber}} - <b>{{POS.sum|currency}} руб</b>.
                </p>
            </div>
        </div>


        <div class="service-row" v-if="service">
            <div class="ui-checkbox">
                <ui-checkbox v-model="payService"></ui-checkbox>
                <p>
                    {{service.typeText}} (Страхование; Юр. услуги) - <b>{{service.sum|currency}} руб</b>.
                </p>
            </div>
        </div>

        <div class="buttons">
            <div v-if="nothingSelect" class="warning-block">
                Укажите услуги, которые вы хотите оплатить
            </div>
            <div v-else>
                <button @click="close">Применить</button>
            </div>
        </div>

    </modal>
</template>
<script>
    //1808185880
  export default {
    name: 'modal-payment-details',
    data () {
      return {
        payDop: true,
        payService: true,
      }
    },

    computed: {
      POS () {
        return this.$pay.paymentOrder.find((o) => {
          return o.type === 2
        });
      },


      service () {
        return this.$pay.paymentOrder.find((o) => {
          return o.type === 3
        }) || false;
      },

        nothingSelect () {
            if (this.service) {
                return !(this.payDop || this.payService);
            } else {
                return !this.payDop;
            }
        }
    },

    methods: {
      beforeOpen () {},
      beforeClose () {},
      close () {
        this.$emit('answer', {
          pos: this.payService,
          dop: this.payDop,
          pdl: this.payLoan,
        })
      }
    }
  }
</script>
<style scoped>
    .buttons button {
        text-align: center;
    }
    .service-row {
        padding: 10px 30px;
    }
    .buttons {
        padding: 10px 30px;
        text-align: center;
    }
    h3 {
        margin-bottom: 0 !important;
    }
</style>
